Loading...
Searching...
No Matches
irr::io::xmlChar< T > Struct Template Reference

`#include <irrXML.h>`

## Public Member Functions

| xmlChar ()
| xmlChar (char in)
| xmlChar (unsigned char in)
| xmlChar (unsigned int in)
| xmlChar (unsigned long in)
| xmlChar (unsigned short in)
| xmlChar (wchar_t in)
| operator T () const
void | operator= (int t)

## Public Attributes

T | c

## Detailed Description

template<typename T>
struct irr::io::xmlChar< T >

Definition at line 371 of file irrXML.h.

## Constructor & Destructor Documentation

## xmlChar() [1/7]

template<typename T>

irr::io::xmlChar< T >::xmlChar | ( |  | ) |

inline

Definition at line 373 of file irrXML.h.

## xmlChar() [2/7]

template<typename T>

irr::io::xmlChar< T >::xmlChar | ( | char | in | ) |

inline

Definition at line 373 of file irrXML.h.

## xmlChar() [3/7]

template<typename T>

irr::io::xmlChar< T >::xmlChar | ( | wchar_t | in | ) |

inline

Definition at line 373 of file irrXML.h.

## xmlChar() [4/7]

template<typename T>

irr::io::xmlChar< T >::xmlChar | ( | unsigned char | in | ) |

inline explicit

Definition at line 373 of file irrXML.h.

## xmlChar() [5/7]

template<typename T>

irr::io::xmlChar< T >::xmlChar | ( | unsigned short | in | ) |

inline explicit

Definition at line 373 of file irrXML.h.

## xmlChar() [6/7]

template<typename T>

irr::io::xmlChar< T >::xmlChar | ( | unsigned int | in | ) |

inline explicit

Definition at line 373 of file irrXML.h.

## xmlChar() [7/7]

template<typename T>

irr::io::xmlChar< T >::xmlChar | ( | unsigned long | in | ) |

inline explicit

Definition at line 373 of file irrXML.h.

## Member Function Documentation

## operator T()

template<typename T>

irr::io::xmlChar< T >::operator T | ( |  | ) | const

inline

Definition at line 390 of file irrXML.h.

References c.

## operator=()

template<typename T>

void irr::io::xmlChar< T >::operator= | ( | int | t | ) |

inline

Definition at line 391 of file irrXML.h.

## Member Data Documentation

## c

template<typename T>

T irr::io::xmlChar< T >::c

Definition at line 373 of file irrXML.h.

Referenced by operator T().

The documentation for this struct was generated from the following file:

- irrXML.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0